/*!
 * vuejs2-ajax-autocomplete v1.0.2
 * (c) Mohammad Abedi <mabedi811@gmail.com>
 * Released under the ISC License.
 */
'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var axios = _interopDefault(require('axios'));
var __vue_normalize__ = _interopDefault(require('vue-runtime-helpers/dist/normalize-component.js'));
var __vue_create_injector__ = _interopDefault(require('vue-runtime-helpers/dist/inject-style/browser.js'));

//
var script = {
  data: function data() {
    return {
      search: '',
      results: []
    };
  },
  props: {
    inputClass: {
      type: Array,
      "default": function _default() {
        return [];
      },
      validator: function validator(classes) {
        return classes.every(function (e) {
          return typeof e === 'string';
        });
      }
    },
    ajaxUrl: {
      type: String,
      "default": ""
    }
  },
  created: function created() {},
  methods: {
    onKeyUp: function onKeyUp(e) {
      this.getResults();
    },
    getResults: function getResults() {
      var vm = this;

      if (vm.search != "") {
        axios.get(vm.ajaxUrl).then(function (res) {
          vm.results = res.data;
        });
      } else {
        vm.results = [];
      }
    }
  }
};

/* script */
var __vue_script__ = script;
/* template */

var __vue_render__ = function __vue_render__() {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c('div', {
    staticClass: "ajax-autocomplete-input"
  }, [_c('input', {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.search,
      expression: "search"
    }],
    staticClass: "form-control",
    "class": _vm.inputClass,
    attrs: {
      "type": "text"
    },
    domProps: {
      "value": _vm.search
    },
    on: {
      "keyup": _vm.onKeyUp,
      "input": function input($event) {
        if ($event.target.composing) {
          return;
        }

        _vm.search = $event.target.value;
      }
    }
  }), _vm._v(" "), _vm.results.length ? _c('div', [_c('ul', _vm._l(_vm.results, function (result) {
    return _c('li', {
      key: result.id,
      "class": [{
        'has-image': result.img != undefined
      }, {
        'has-subtitle': result.subtitle != undefined
      }]
    }, [_c('img', {
      attrs: {
        "src": result.img,
        "width": "38",
        "height": "38"
      }
    }), _vm._v(" "), _c('div', {
      staticClass: "ajax-autocomplete-input-txts"
    }, [_c('span', {
      staticClass: "ajax-autocomplete-input-title"
    }, [_vm._v(_vm._s(result.title))]), _vm._v(" "), _c('span', {
      staticClass: "ajax-autocomplete-input-subtitle"
    }, [_vm._v(_vm._s(result.subtitle))])])]);
  }), 0)]) : _vm._e()]);
};

var __vue_staticRenderFns__ = [];
/* style */

var __vue_inject_styles__ = function __vue_inject_styles__(inject) {
  if (!inject) return;
  inject("data-v-36293034_0", {
    source: ".ajax-autocomplete-input{position:relative;display:-ms-flexbox;display:-webkit-box;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-ms-flex-align:stretch;-webkit-box-align:stretch;align-items:stretch;width:100%;font-family:tahoma}.ajax-autocomplete-input>input{height:22px;padding:6px 12px;border-radius:.25rem;box-shadow:none;border:1px solid #ccc;margin:0;position:relative;-ms-flex:1 1 auto;-webkit-box-flex:1;flex:1 1 auto;width:1%;margin-bottom:0}.ajax-autocomplete-input>input:focus{box-shadow:none;border:1px solid #ccc;outline:0}.ajax-autocomplete-input>div{position:absolute;left:0;right:0;top:100%;background:#999;margin-top:-5px;border-radius:0 0 .25rem .25rem;padding:6px 12px}.ajax-autocomplete-input>div>ul{padding:0;margin:0;list-style:none}.ajax-autocomplete-input>div>ul>li{height:38px;position:relative;margin-top:4px}.ajax-autocomplete-input>div>ul>li:first-child{margin-top:0}.ajax-autocomplete-input>div>ul>li .ajax-autocomplete-input-txts{padding-top:3px}.ajax-autocomplete-input>div>ul>li:not(.has-subtitle) .ajax-autocomplete-input-txts{padding-top:10px}.ajax-autocomplete-input>div>ul>li.has-image{padding-left:45px}.ajax-autocomplete-input>div>ul>li>img{position:absolute;left:0;top:0}.ajax-autocomplete-input>div>ul>li span{display:block}.ajax-autocomplete-input-title{font-size:15px}.ajax-autocomplete-input-subtitle{font-size:10px}",
    map: undefined,
    media: undefined
  });
};
/* scoped */


var __vue_scope_id__ = undefined;
/* module identifier */

var __vue_module_identifier__ = undefined;
/* functional template */

var __vue_is_functional_template__ = false;
/* style inject SSR */

var AjaxSuggestionSearch = __vue_normalize__({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, __vue_create_injector__, undefined);

var index = {
  install: function install(Vue, options) {
    Vue.component("vuejs2-ajax-autocomplete", AjaxSuggestionSearch);
  }
};

module.exports = index;
